Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.containers
Class CommandLineArgumentsPicoContainer

    java.lang.Object
      org.picocontainer.containers.AbstractDelegatingPicoContainer
          org.picocontainer.containers.CommandLinePicoContainer
              org.picocontainer.containers.CommandLineArgumentsPicoContainer

All Implemented Interfaces:
  Serializable, PicoContainer

Deprecated. Use `CommandLinePicoContainer` instead.

    @Deprecated
    public final class CommandLineArgumentsPicoContainer

extends CommandLinePicoContainer

Compatibility stub. This class was renamed to CommandLinePicoContainer for PicoContainer version 2.4.

Author:
  Michael Rimov
See Also:
  Serialized Form

Constructor Summary
`CommandLineArgumentsPicoContainer(String[] arguments)` Deprecated.
`CommandLineArgumentsPicoContainer(String[] arguments, PicoContainer parent)` Deprecated.
`CommandLineArgumentsPicoContainer(String separator, String[] arguments)` Deprecated.
`CommandLineArgumentsPicoContainer(String separator, String[] arguments, PicoContainer parent)` Deprecated.
`CommandLineArgumentsPicoContainer(String separator, StringReader argumentsProps)` Deprecated.
`CommandLineArgumentsPicoContainer(String separator, StringReader argumentProperties, String[] arguments)` Deprecated.
`CommandLineArgumentsPicoContainer(String separator, StringReader argumentProperties, String[] arguments, PicoContainer parent)` Deprecated.

Method Summary

Methods inherited from class org.picocontainer.containers.CommandLinePicoContainer
`getComponent, getComponentAdapters, getDelegate, getParent, setName`

Methods inherited from class org.picocontainer.containers.AbstractDelegatingPicoContainer
`accept, equals, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponents, getComponents, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandLineArgumentsPicoContainer

    public CommandLineArgumentsPicoContainer(String separator,
                                             String[] arguments)

  Deprecated.
  Parameters:
    `separator` -
    `arguments` -

### CommandLineArgumentsPicoContainer

    public CommandLineArgumentsPicoContainer(String separator,
                                             String[] arguments,
                                             PicoContainer parent)

  Deprecated.
  Parameters:
    `separator` -
    `arguments` -
    `parent` -

### CommandLineArgumentsPicoContainer

    public CommandLineArgumentsPicoContainer(String separator,
                                             StringReader argumentsProps)
                                      throws IOException

  Deprecated.
  Parameters:
    `separator` -
    `argumentsProps` -
  Throws:
    `IOException`

### CommandLineArgumentsPicoContainer

    public CommandLineArgumentsPicoContainer(String separator,
                                             StringReader argumentProperties,
                                             String[] arguments)
                                      throws IOException

  Deprecated.
  Parameters:
    `separator` -
    `argumentProperties` -
    `arguments` -
  Throws:
    `IOException`

### CommandLineArgumentsPicoContainer

    public CommandLineArgumentsPicoContainer(String separator,
                                             StringReader argumentProperties,
                                             String[] arguments,
                                             PicoContainer parent)
                                      throws IOException

  Deprecated.
  Parameters:
    `separator` -
    `argumentProperties` -
    `arguments` -
    `parent` -
  Throws:
    `IOException`

### CommandLineArgumentsPicoContainer

    public CommandLineArgumentsPicoContainer(String[] arguments)

  Deprecated.
  Parameters:
    `arguments` -

### CommandLineArgumentsPicoContainer

    public CommandLineArgumentsPicoContainer(String[] arguments,
                                             PicoContainer parent)

  Deprecated.
  Parameters:
    `arguments` -
    `parent` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.